# np_officialplugins.m4
dnl Copyright (C) 2007 Nagios Plugins Team
dnl This file is free software; the Nagios Plugin Team
dnl gives unlimited permission to copy and/or distribute it,
dnl with or without modifications, as long as this notice is preserved.

dnl Test for mysql availability using mysql_config
dnl Uses --with-mysql= yes(autodetection - default) | no | path
dnl Sets 4 variables:
dnl   with_mysql = path/to/mysql_config (if found and can compile mysqlclient) or "no"
dnl   np_mysql_include = flags for include, from mysql_config --include (will be guessed as $with_mysql/include if --include not found)
dnl   np_mysql_libs    = flags for libs,    from mysql_config --libs
dnl   np_mysql_cflags  = flags for cflags,  from mysql_config --cflags
dnl Also sets in config.h:
dnl   HAVE_MYSQLCLIENT
dnl Copile your code with:
dnl   $(CC) $(np_mysql_include) code.c $(np_mysql_libs)

AC_DEFUN([np_officialplugins],
[
  AC_ARG_WITH(officialplugins,
    AS_HELP_STRING([--with-officialplugins=DIR],
      [Locates source directory of the official plugins distribution]),
    with_officialplugins=$withval,
    with_officialplugins=yes)

  if test -z "$with_officialplugins"; then
    with_officialplugins="no"
  else
    if test -e $with_officialplugins/nagios-plugins.spec ; then
      with_officialplugins=$with_officialplugins
    else
      with_officialplugins="no"
    fi
  fi
  if test "x$with_officialplugins" != "xno" ; then
    np_official_plugins=$with_officialplugins
    np_official_plugins_includes="-I${np_official_plugins} -I${np_official_plugins}/plugins -I${np_official_plugins}/gl -I${np_official_plugins}/lib"
    np_official_plugins_libs="-L${np_official_plugins}/lib -lnagiosplug"
    np_official_plugins_cflags="$np_official_plugins_include $np_official_plugins_libs"
  fi
])

